#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-keyring-46.2

- Next

  Tecla-47.0

- Up
- Home

# gnome-settings-daemon-47.2

## Introduction to GNOME Settings Daemon

The GNOME Settings Daemon is responsible for setting various parameters of a GNOME Session and the applications that run under it.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-settings-daemon/47/gnome-settings-daemon-47.2.tar.xz

- Download MD5 sum: 39babcea9c9eb5fd7809cbc685cd282c

- Download size: 1.4 MB

- Estimated disk space required: 33 MB

- Estimated build time: 0.1 SBU (using parallelism=4, add 0.5 SBU for tests)

### GNOME Settings Daemon Dependencies

#### Required

alsa-lib-1.2.13, Fontconfig-2.16.0, Gcr-4.3.1, GeoClue-2.7.2, geocode-glib-3.26.4, gnome-desktop-44.1, libcanberra-0.30, libgweather-4.4.4, libnotify-0.8.4, libwacom-2.14.0, PulseAudio-17.0, and UPower-1.90.7

#### Recommended

colord-1.4.7, Cups-2.4.11, NetworkManager-1.50.0, nss-3.108, and Wayland-1.23.0

### Note

Recommended dependencies are not strictly required for this package to build and function, but you may not get expected results at runtime if you don't install them.

#### Recommended (Runtime)

blocaled-0.7

#### Optional

gnome-session-47.0.1, Mutter-47.5, dbusmock-0.34.3, umockdev-0.19.1, and Xvfb (for tests, from Xorg-Server-21.1.16 or Xwayland-24.1.6)

## Installation of GNOME Settings Daemon

Next, fix libelogind detection for tests:

    sed -e 's/libsystemd/libelogind/' \
        -i plugins/power/test.py

Next, fix backlight functionality in gnome-control-center:

    sed -e 's/(backlight->logind_proxy)/(0)/' \
        -i plugins/power/gsd-backlight.c

Install GNOME Settings Daemon by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D systemd=false    \
                ..                  &&
    ninja

To check the results, execute: ninja test. Note that you must have python-dbusmock installed in order for the tests to complete successfully. Some tests may fail depending on the init system in use.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Libraries: libgsd.so
Installed Directories: /etc/xdg/Xwayland-session.d, /usr/include/gnome-settings-daemon-47, /usr/lib/gnome-settings-daemon-47, and /usr/share/gnome-settings-daemon

- Prev

  gnome-keyring-46.2

- Next

  Tecla-47.0

- Up
- Home